/*
 * Unitto is a calculator for Android
 * Copyright (c) 2023-2024 Elshan Agaev
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

package app.myzel394.numberhub.data.model.repository

import app.myzel394.numberhub.data.model.HistoryItem
import kotlinx.coroutines.flow.Flow

interface CalculatorHistoryRepository {
    val historyFlow: Flow<List<HistoryItem>>

    suspend fun add(
        expression: String,
        result: String,
    )

    suspend fun delete(
        item: HistoryItem,
    )

    suspend fun clear()
}
